View Issue Details

IDProjectCategoryView StatusLast Update
0010845mantisbtapi soappublic2009-10-07 14:20
Reporterrombert 
Assigned Tovboctor 
PriorityhighSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.2.0rc1 
Target VersionFixed in Version1.2.0rc2 
Summary0010845: mc_issue_update erases Additional info and steps to reproduce
Description

Code from mci_issue_add:

       $t_bug_data->description = $t_description;
        $t_bug_data->steps_to_reproduce = isset( $p_issue[steps_to_reproduce] ) ? $p_issue[steps_to_reproduce] : ;
        $t_bug_data->additional_information = isset( $p_issue[additional_information] ) ? $p_issue[additional_information] : ;

Code from mci_issue_update

        $t_bug_data->description = $t_description;
        $t_bug_data->steps_to_reproduce = isset( $v_steps_to_reproduce ) ? $v_steps_to_reproduce : ;
        $t_bug_data->additional_information = isset( $v_additional_information ) ? $v_additional_information : ;

Needless to say, the $v_ fields are not set anywhere.

Tagspatch

Relationships

Activities

rombert

rombert

2009-08-17 18:04

developer  

0001-Fix-10845-mc_issue_update-erases-Additional-info-and.patch (1,287 bytes)
From 8e16d9035fe3fa46262d83c166ef6b011914ad0f Mon Sep 17 00:00:00 2001
From: Robert Munteanu <robert.munteanu@gmail.com>
Date: Tue, 18 Aug 2009 01:02:56 +0300
Subject: [PATCH] Fix #10845: mc_issue_update erases Additional info and steps to reproduce

Read the additional_info and steps_to_reproduce from the proper source.
---
 api/soap/mc_issue_api.php |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/api/soap/mc_issue_api.php b/api/soap/mc_issue_api.php
index f3a6000..6909c5d 100644
--- a/api/soap/mc_issue_api.php
+++ b/api/soap/mc_issue_api.php
@@ -690,8 +690,8 @@ function mc_issue_update( $p_username, $p_password, $p_issue_id, $p_issue ) {
 	# $t_bug_data->profile_id;
 	# extended info
 	$t_bug_data->description = $t_description;
-	$t_bug_data->steps_to_reproduce = isset( $v_steps_to_reproduce ) ? $v_steps_to_reproduce : '';
-	$t_bug_data->additional_information = isset( $v_additional_information ) ? $v_additional_information : '';
+	$t_bug_data->steps_to_reproduce = isset( $t_steps_to_reproduce ) ? $t_steps_to_reproduce : '';
+	$t_bug_data->additional_information = isset( $t_additional_information ) ? $t_additional_information : '';
 
 	# submit the issue
 	$t_is_success = bug_update( $p_issue_id, $t_bug_data, true, false );
-- 
1.6.3.3

rombert

rombert

2009-08-17 18:05

developer   ~0022741

Trivial patch added.

vboctor

vboctor

2009-08-18 02:55

manager   ~0022745

The patch doesnt seem to be correct, $t_steps_to_reproduce and $t_additional_information are not defined.

rombert

rombert

2009-08-18 03:04

developer  

0001-Fix-10845-mc_issue_update-erases-Additional-info-2.patch (1,323 bytes)
From 27651da253cc7992f11e8b6971f0b68f331c42eb Mon Sep 17 00:00:00 2001
From: Robert Munteanu <robert.munteanu@gmail.com>
Date: Tue, 18 Aug 2009 10:03:42 +0300
Subject: [PATCH] Fix #10845: mc_issue_update erases Additional info and steps to reproduce

Read the additional_info and steps_to_reproduce from the proper source.
---
 api/soap/mc_issue_api.php |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/api/soap/mc_issue_api.php b/api/soap/mc_issue_api.php
index f3a6000..27d0753 100644
--- a/api/soap/mc_issue_api.php
+++ b/api/soap/mc_issue_api.php
@@ -690,8 +690,8 @@ function mc_issue_update( $p_username, $p_password, $p_issue_id, $p_issue ) {
 	# $t_bug_data->profile_id;
 	# extended info
 	$t_bug_data->description = $t_description;
-	$t_bug_data->steps_to_reproduce = isset( $v_steps_to_reproduce ) ? $v_steps_to_reproduce : '';
-	$t_bug_data->additional_information = isset( $v_additional_information ) ? $v_additional_information : '';
+	$t_bug_data->steps_to_reproduce = isset( $p_issue['steps_to_reproduce'] ) ? $p_issue['steps_to_reproduce'] : '';
+	$t_bug_data->additional_information = isset( $p_issue['additional_information'] ) ? $p_issue['additional_information'] : '';
 
 	# submit the issue
 	$t_is_success = bug_update( $p_issue_id, $t_bug_data, true, false );
-- 
1.6.3.3

rombert

rombert

2009-08-18 03:05

developer   ~0022746

@vboctor: Youre right, small mixup between branches. Ive uploaded a fixed patch: $p_issue is defined and this follows the pattern of mc_issue_add.

Related Changesets

MantisBT: master 61c4bd98

2009-10-05 06:42:08

vboctor

Details Diff
Fixes 0010845: mc_issue_update() erases "additional info" and "steps to reproduce".
mod - api/soap/mc_issue_api.php Diff File

MantisBT: master-1.2.x 3ee223cf

2009-10-05 06:42:08

vboctor

Details Diff
Fixes 0010845: mc_issue_update() erases "additional info" and "steps to reproduce".
mod - api/soap/mc_issue_api.php Diff File

Issue History

Date Modified Username Field Change
2009-08-17 18:02 rombert New Issue
2009-08-17 18:04 rombert File Added: 0001-Fix-10845-mc_issue_update-erases-Additional-info-and.patch
2009-08-17 18:04 rombert Tag Attached: patch
2009-08-17 18:05 rombert Note Added: 0022741
2009-08-18 02:55 vboctor Note Added: 0022745
2009-08-18 03:04 rombert File Added: 0001-Fix-10845-mc_issue_update-erases-Additional-info-2.patch
2009-08-18 03:05 rombert Note Added: 0022746
2009-10-05 02:43 vboctor Status new => resolved
2009-10-05 02:43 vboctor Fixed in Version => 1.2.2
2009-10-05 02:43 vboctor Resolution open => fixed
2009-10-05 02:43 vboctor Assigned To => vboctor
2009-10-05 02:50 vboctor Changeset attached master 61c4bd98 =>
2009-10-05 10:50 vboctor Changeset attached master-1.2.x 3ee223cf =>
2009-10-07 14:20 jreese Status resolved => closed